%def_enable shared
%def_enable static
%def_with pic
%def_disable debug
%def_disable profile
%def_enable largefile
%def_enable mmx
#----------------------------------------------------------------------

#define cvsdate 20080509
%define Name Dirac
Name: dirac
%define lname lib%name
Version: 0.10.0
Release: alt0.1
Summary: Video Codec based on Wavelets
License: %gpl2only
Group: Video
URL: http://%name.sourceforge.net
%ifdef cvsdate
Source: %name/%name-cvs-%cvsdate.tar.bz2
%else
Source: %name/%name-%version.tar.bz2
%endif
Patch0: %name-0.8.0-configure.patch
Patch1: %name-0.9.0-instrumentation.patch
Requires: %lname = %version-%release
Conflicts: %name-utils < 0.9.0-alt0.1

# Automatically added by buildreq on Tue Oct 02 2007
#BuildRequires: doxygen gcc-c++ glibc-devel-static graphviz tetex-latex valgrind

BuildRequires: doxygen gcc-c++ tetex-latex
BuildRequires: rpm-build-licenses

%description
%Name is an open source video codec. It uses a traditional hybrid video
codec architecture, but with the wavelet transform instead of the usual
block transforms. Motion compensation uses overlapped blocks to reduce
block artefacts that would upset the transform coding stage.
%Name can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to be
set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%package -n %lname
Group: System/Libraries
Summary: Shared library of the %Name Video codec
License: %lgpl2only

%description -n %lname
%Name is an open source video codec. It uses a traditional hybrid video
codec architecture, but with the wavelet transform instead of the usual
block transforms. Motion compensation uses overlapped blocks to reduce
block artefacts that would upset the transform coding stage.
%Name can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to be
set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%if_enabled shared
%package -n %lname-devel
Group: Development/C++
Summary: Development files of the %Name Video codec
License: %lgpl2only
Requires: %lname%{?_disable_shared:-devel-static} = %version-%release

%description -n %lname-devel
%Name is an open source video codec. It uses a traditional hybrid video
codec architecture, but with the wavelet transform instead of the usual
block transforms. Motion compensation uses overlapped blocks to reduce
block artefacts that would upset the transform coding stage.
%Name can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to be
set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.
%endif


%if_enabled static
%package -n %lname-devel-static
Group: Development/C++
Summary: Static libraries of the %Name Video codec
License: %lgpl2only
Requires: %lname-devel = %version-%release

%description -n %lname-devel-static
%Name is an open source video codec. It uses a traditional hybrid video
codec architecture, but with the wavelet transform instead of the usual
block transforms. Motion compensation uses overlapped blocks to reduce
block artefacts that would upset the transform coding stage.
%Name can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to be
set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.
%endif


%package utils
Group: Video
Summary: Utils for the %Name video codec

%description utils
%Name is an open source video codec. It uses a traditional hybrid video
codec architecture, but with the wavelet transform instead of the usual
block transforms. Motion compensation uses overlapped blocks to reduce
block artefacts that would upset the transform coding stage.
%Name can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards. These cover the parameters that need to be
set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%package -n %lname-doc
Group: Documentation
Summary: %Name documentation

%description -n %lname-doc
Documentation for %Name.


%prep
%setup %{?cvsdate:-n %name-cvs-%cvsdate}
%patch0 -p1
%patch1 -p1


%build
%define _optlevel 3
%ifdef cvsdate
./bootstrap
%else
ACLOCAL="%__aclocal -I m4" %autoreconf
%endif
%configure \
%if 0
%ifarch x86_64
    --with-pic \
%else
    %{subst_with pic} \
%endif
%endif
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable debug} \
    %{subst_enable profile} \
    %{subst_enable largefile} \
    %{subst_enable mmx}

%make_build

for f in ChangeLog NEWS; do
    bzip2 --best --force --keep "$f"
done


%install
%make_install DESTDIR=%buildroot install
install -d -m 0755 %buildroot%_docdir/%lname-devel-%version
mv %buildroot%_docdir/{%name,%lname-devel-%version/html}
find %buildroot%_docdir/%lname-devel-%version/html -type f -exec chmod 644 \{} \;
install -m 0644 ChangeLog.* %buildroot%_docdir/%lname-devel-%version/
install -d -m 0755 %buildroot%_docdir/%name-%version
install -m 0644 AUTHORS README %buildroot%_docdir/%name-%version/


%if_enabled shared
%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%endif


%files
%doc AUTHORS NEWS.* README
%_bindir/%{name}_*


%files utils
%_bindir/[BRUY]*to*
%_bindir/create_dirac_testfile.pl


%if_enabled shared
%files -n %lname
%_libdir/*.so.*
%endif


%files -n %lname-devel
%dir %_docdir/%lname-devel-%version
%_docdir/%lname-devel-%version/ChangeLog.*
%_includedir/%name
%{?_enable_shared:%_libdir/*.so}
%_pkgconfigdir/*


%if_enabled static
%files -n %lname-devel-static
%_libdir/*.a
%endif


%files -n %lname-doc
%dir %_docdir/%lname-devel-%version
%_docdir/%lname-devel-%version/html


%changelog
* Thu Jun 05 2008 Led <led@altlinux.ru> 0.10.0-alt0.1
- 0.10.0

* Fri May 09 2008 Led <led@altlinux.ru> 0.9.2-alt0.1
- CVS snapshot 20080509

* Wed Feb 06 2008 Led <led@altlinux.ru> 0.9.1-alt1.1
- 0.9.1

* Wed Jan 23 2008 Led <led@altlinux.ru> 0.9.0-alt0.1
- 0.9.0:
  + Support for entropy coding of wavelet coefficients data using
    Variable Length Codes
  + Modified motion cpmpensation to fit 16 bits
  + API changes to conform with spec revision 2.0.0
- added %name-0.9.0-instrumentation.patch
- fixed License

* Tue Oct 02 2007 Led <led@altlinux.ru> 0.8.0-alt0.1
- 0.8.0:
  + Support for interlaced coding
  + Added support for full-seach block matching
  + API changes to conform with spec revision 1.0.0.pre9_02
- updated %name-0.8.0-configure.patch
- fixed License

* Sat Feb 24 2007 Led <led@altlinux.ru> 0.6.0-alt1.1
- cleaned up %name-0.6.0-configure.patch

* Thu Feb 01 2007 Led <led@altlinux.ru> 0.6.0-alt0.1
- 0.6.0
- added %name-0.6.0-configure.patch

* Wed Dec 21 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.5.4-alt1
- 0.5.4 release.
- initial build for ALTLinux.
- specfile is based on mandriva's.
